For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeDocsAPI Reference
HomeDocsAPI Reference
  • API Reference
    • GETDevice Information
    • POSTHeartbeat ping
    • POSTCreate C2C asset
    • POSTCreate C2C asset
    • POSTRequest upload URLs for real-time upload
    • POSTCreate a Comment from a C2C device

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API Reference

Request upload URLs for real-time upload

POST
https://api.frame.io/v2/devices/assets/:asset_id/realtime_upload/parts
POST
/v2/devices/assets/:asset_id/realtime_upload/parts
1import requests
2
3headers = {
4 'Authorization': 'Bearer [access_token]',
5 'Content-Type': 'application/json',
6 'x-client-version': '2.0.0'
7}
8
9data = {
10 'parts': [
11 {
12 'number': 1,
13 'size': 10568125,
14 'is_final': False
15 }
16 ]
17}
18
19response = requests.post(
20 'https://api.frame.io/v2/devices/assets/{asset_id}/realtime_upload/parts',
21 headers=headers,
22 json=data
23)
24
25result = response.json()
26print(result)
1{
2 "upload_urls": [
3 "https://frameio-uploads-production.s3-accelerate.amazonaws.com/parts/asset_87817fee_part_01_upload_url"
4 ]
5}

Register real-time upload parts and generate presigned AWS S3 upload PUT URLs.

Was this page helpful?
Previous

Create a Comment from a C2C device

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequired

Headers

x-client-versionstringOptionalDefaults to 0.0.0

Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version.

For more on semantic versions, see here: https://semver.org/

Request

Enumerates parts that upload URLs should be created for.
partslist of objectsRequired
List of file upload parts to register with Frame.
asset_namestringOptionalformat: "\..+"

Updates the asset name if only extension was supplied to assetCreate, and the default name is still in use.

Otherwise, will be ignored.

asset_filesizeintegerOptional1-5497558138880

The full filesize for the upload in bytes. This field is required when an object in parts has is_final set to true.

Must be no more than 5 TiB.

Response

Returns array of upload URLs for created parts.
upload_urlslist of strings

Array of AWS S3 presigned upload PUT URLs.

Returned in the same order as the parts field of the request.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error